package nu.zoom.state;

import java.nio.file.Path;
import java.util.List;
import java.util.Objects;

public class TargetGenerator {
	private final Path outputPath;
	private final Path templatePath;

	public static class TargetGeneratorException extends Exception {
		public TargetGeneratorException(String message) {
			super(message);
		}
		public TargetGeneratorException(Exception cause) {
			super(cause);
		}
	}

	public TargetGenerator(
		Path outputPath,
		Path templatePath,
		List<EndpointNode> endpoints
	) {
		this.outputPath = Objects.requireNonNull(
			outputPath,
			"Output path is required"
		);
		this.templatePath = Objects.requireNonNull(
			templatePath,
			"Template path is required"
		);
	}

	public void generate() throws TargetGeneratorException {

	}
}
